<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listPersons") label="Persons"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Persons"]]

[[#if (hasPermission "forms:ldp:update")]]
<div class="btn-toolbar">
    <semantic-link
      iri="[[resolvePrefix ':createPerson']]"
      class="btn btn-md btn-primary "
      >Add new person</semantic-link>
</div>
[[/if]]

<div class="gap">
  <semantic-simple-search
    query='
      SELECT DISTINCT ?resource ?label WHERE {
        ?resource a ismi:Person ;
          rdfs:label ?p_label .
        ?search_hit bds:search ?__token__ ;
          bds:relevance ?score ;
          bds:minRelevance "0.1" .
        {
          ?resource rdfs:label ?search_hit .
        } UNION {
          ?resource crm:P1_is_identified_by ?name .
          ?name a crm:E41_Appellation ;
            rdfs:label ?search_hit .
        }
        ?resource crm:P1_is_identified_by ?id .
        ?id crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/identifier/ismi-id> ;
          rdfs:label ?id_label .
        OPTIONAL {
          ?resource crm:P98i_was_born / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?bdate.
        }
        OPTIONAL {
          ?resource crm:P100i_died_in / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?ddate.
        }
        bind(if(bound(?bdate)||bound(?ddate), concat(" (", coalesce(concat("*", str(year(?bdate)), "G"), ""), coalesce(concat("†", str(year(?ddate)), "G"), ""), ")"), "") as ?date_label)
        bind(concat(?p_label, ?date_label, " [", ?id_label, "]") as ?label)
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for person name...'
  ></semantic-simple-search>
</div>

<div class="panel gap">
  <div class="panel-body">
    [[> Partial:tablePersons]]
  </div>
</div>

[[> Partial:contentEnd]]
